View Issue Details

IDProjectCategoryView StatusLast Update
0002391Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2018-07-21 20:00
ReporterHexroidAssigned To 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
PlatformPCOSWindowsOS Version10
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002391: Cables freeze minecraft world
DescriptionWith the recent version of IC2 2.8.90 for MC 1.12.2, after placing any cable the game simply stops working, world stops loading and upon exiting the game, it crashes.
Steps To ReproduceCreate a world in creative a place some cables. The game stops working.
Tags1.12.2, Crash, error
Minecraft Version1.12.2

Activities

Chocohead

2018-06-28 19:11

developer   ~0005721

That doesn't sound good, do you have the report it makes when it crashes?

Hexroid

2018-06-29 15:05

reporter   ~0005726

It doesn't generate a crash report, but it makes an error message: "Java(TM) Platform SE binary has stopped working".

The28AWG

2018-07-20 02:10

reporter   ~0005752

Up!
No logs, no crashes. Client render worked and server logic broken. "Save and Quit" not worked, need kill java process to close game.
Version 92 and 93 tested.
What information will help fix it? Mods list?
advancedsolarpanels-4.2.0.jar
ae2stuff-0.7.0.4-mc1.12.2.jar
appliedenergistics2-rv5-stable-11.jar
AppliedFluidics-1.12.2-2.0.2.jar
aroma1997core-1.12.2-2.0.0.0.b155.jar
Aroma1997s-Dimensional-World-1.12.2-2.0.0.2.b77.jar
backpacks1.12.2-3.5.2.jar
bdlib-1.14.3.12-mc1.12.2.jar
BetterBuildersWands-1.12-0.11.1.245+69d0d70.jar
betterfps-1.4.8.jar
BiomesOPlenty-1.12.2-7.0.1.2391-universal.jar
blockdrops-1.12.2-1.4.0.jar
buildcraft-7.99.17.jar
buildcraft-compat-7.99.14.jar
ChickenASM-1.12-1.0.2.7.jar
ChickenChunks-1.12.2-2.4.1.71-universal.jar
Chisel-MC1.12.2-0.2.0.31.jar
CodeChickenLib-1.12.2-3.2.0.345-universal.jar
compactsolars-1.12.2-5.0.17.340-universal.jar
computercraft1.80pr1.jar
creativecore_v1.9.22_mc1.12.2.jar
ctm-mc1.12-0.3.0.15.jar
dynamiclights-1.12.2.jar
elevatormod-1.12.2-1.3.6.jar
ExtraCells-1.12.2-2.5.13a58.jar
extrautils2-1.12-1.7.6.jar
foamfix-0.9.9.1-1.12.2-anarchy.jar
ForgeMultipart-1.12.2-2.4.2.60-universal.jar
hwyla-1.8.26-b41_1.12.2.jar
industrialcraft-2-2.8.93-ex112.jar
inventorytweaks-1.63.jar
ironchest-1.12.2-7.0.44.829.jar
jei_1.12.2-4.10.0.199.jar
jeivillagers-1.12-1.0.2.jar
justenoughresources-1.12.2-0.8.7.41.jar
keepinginventory-1.12.2-2.4.jar
littletiles_v1.5.0-pre97_mc1.12.2.jar
malisisblocks-1.12.2-6.1.0.jar
malisiscore-1.12.2-6.4.0.jar
malisisdoors-1.12.2-7.3.0.jar
malisisswitches-1.12.2-5.1.0.jar
Mantle-1.12-1.3.2.24.jar
MCMultiPart-2.5.1.jar
MJRLegendsLib-1.12.2-1.1.4.jar
MouseTweaks-2.8-mc1.12.1.jar
OpenComputers-MC1.12.2-1.7.2.67.jar
optifine_1.12.2_hd_u_d3.jar
orbis_api-1.12.2-1.1.4.jar
practicallogistics2-1.12.2-3.0.4.jar
radixcore-1.12.x-2.2.1-universal.jar
reap-1.5.1.jar
RebornCore-1.12.2-3.9.2.319-universal.jar
Simple-Void-World-1.12-1.2.0.9-universal.jar
sonarcore-1.12.2-5.0.14-12.jar
spatialservermod-1.3.jar
tatw-1.12.2-1.0.1.2.b26.jar
tconstruct-1.12.2-2.10.1.87.jar
tinkersjei-1.0.jar
TinkerSkyblock-1.12-0.3.jar
tinkersoc-0.4.jar
toolprogression-1.12.2-1.5.4.jar
ttfr-1.12.1-1.9.1.jar
UniDict-1.12.2-2.5f.jar
Uppers-0.0.6.jar
wailaharvestability-mc1.12-1.1.12.jar
WanionLib-1.12.2-1.5.jar
Wawla-1.12.2-2.5.257.jar
WR-CBE-1.12.2-2.3.0.27-universal.jar
wts-1.1.0.jar
Xaeros_Minimap_FP1.15.3_Forge_1.12.jar
XaerosWorldMap_1.2.5_Forge_1.12.jar
xray-1.12.2-1.4.0.jar

The28AWG

2018-07-20 03:49

reporter   ~0005753

log files: https://filebin.net/wjhijut33cgcfe00
Ubuntu 16.04 64bit
java version "1.8.0_161"
Java(TM) SE Runtime Environment (build 1.8.0_161-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.161-b12, mixed mode)

The28AWG

2018-07-20 05:53

reporter   ~0005754

[10:47:51] [ic2-poolthread-1/WARN] [ic2.EnergyNet]: Tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@145154a6 (dim 0: -438/56/-918), sub tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@145154a6 (dim 0: -438/56/-918) addition is conflicting with a previous registration at the same location: ic2.core.block.comp.Energy$EnergyNetDelegateSource@ac2f547.
[10:47:52] [Thread-13/INFO] [STDOUT]: [xaero.map.MapLoader:loadBlockColourFromTexture:743]: Block file not found: ic2:te
[10:47:55] [ic2-poolthread-1/WARN] [ic2.EnergyNet]: Tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@1edc2bb9 (dim 0: -438/56/-917), sub tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@1edc2bb9 (dim 0: -438/56/-917) addition is conflicting with a previous registration at the same location: ic2.core.block.comp.Energy$EnergyNetDelegateSink@53f8800a.
[10:47:57] [main/INFO] [STDOUT]: [atomicstryker.dynamiclights.client.DynamicLights:hackRenderGlobalConcurrently:245]: Dynamic Lights successfully hacked Set RenderGlobal.setLightUpdates and replaced it with a ConcurrentSkipListSet!
[10:47:57] [ic2-poolthread-2/WARN] [ic2.EnergyNet]: Tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@1edc2bb9 (dim 0: -438/56/-917) removal without registration
[10:47:59] [ic2-poolthread-2/WARN] [ic2.EnergyNet]: Tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@259a84f4 (dim 0: -438/56/-917), sub tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@259a84f4 (dim 0: -438/56/-917) addition is conflicting with a previous registration at the same location: ic2.core.block.comp.Energy$EnergyNetDelegateSink@591cb2ba.
[10:48:00] [ic2-poolthread-2/WARN] [ic2.EnergyNet]: Tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@2498e5ac (dim 0: -438/56/-916), sub tile aroma1997.tatw.feuseseu.block.FETileEventListener$EnergyTile@2498e5ac (dim 0: -438/56/-916) addition is conflicting with a previous registration at the same location: ic2.core.block.comp.Energy$EnergyNetDelegateSink@18ad1d61.

The28AWG

2018-07-20 06:03

reporter   ~0005755

Yep. Its TATW bug. Updated to the latest version and it all worked.

Hexroid

2018-07-21 19:06

reporter   ~0005756

Can confirm. It was a TATW bug. Updated and now it's fixed. Thanks The28AWG!

Chocohead

2018-07-21 20:00

developer   ~0005757

Great job hunting the cause down and working out this weird bug, would make sense something cable related like TATW could cause it

Issue History

Date Modified Username Field Change
2018-06-28 18:32 Hexroid New Issue
2018-06-28 18:32 Hexroid Tag Attached: 1.12.2
2018-06-28 18:32 Hexroid Tag Attached: Crash
2018-06-28 18:32 Hexroid Tag Attached: error
2018-06-28 19:11 Chocohead Note Added: 0005721
2018-06-29 15:05 Hexroid Note Added: 0005726
2018-07-20 02:10 The28AWG Note Added: 0005752
2018-07-20 03:49 The28AWG Note Added: 0005753
2018-07-20 05:53 The28AWG Note Added: 0005754
2018-07-20 06:03 The28AWG Note Added: 0005755
2018-07-21 19:06 Hexroid Note Added: 0005756
2018-07-21 20:00 Chocohead Status new => resolved
2018-07-21 20:00 Chocohead Resolution open => no change required
2018-07-21 20:00 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-07-21 20:00 Chocohead Note Added: 0005757